Bug 341080 - DBus interface : default calendar not selected for new event
Summary: DBus interface : default calendar not selected for new event
Status: RESOLVED NOT A BUG
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: Archlinux Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-18 14:50 UTC by nmset
Modified: 2022-04-13 01:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nmset 2014-11-18 14:50:38 UTC
The method openEventEditor for DBus service org.kde.korganizer in path /Calendar pops up a new event dialog without selecting the default calendar automatically, the local file calendar is always selected. (This does not happen outside of DBus calls, no problems with usual UI operations).
Methods openTodoEditor and openJournalEditor do select the default calendar as expected.

Reproducible: Always

Steps to Reproduce:
1.Using qdbusviewer
2.
3.

Actual Results:  
The default calendar is not selected.

Expected Results:  
The default calendar gets selected.
Comment 1 Denis Kurz 2017-06-23 19:57:36 UTC
This bug has never been confirmed for a KDE PIM version that is based on KDE Frameworks (5.x). Those versions differ significantly from the old 4.x series. Therefore, I plan to close it in around two or three months. In the meantime, it is set to WAITINGFORINFO to give reporters the oportunity to check if it is still valid. As soon as someone confirms it for a recent version (at least 5.1, ideally even more recent), I'll gladly reopen it.

Please understand that we lack the manpower to triage bugs reported for versions almost two years beyond their end of life.
Comment 2 nmset 2017-06-24 09:07:33 UTC
Using korganizer 17.04.2, KDE Frameworks 5.35.0, Qt 5.9.0  : 

A random calendar is selected, not the one selected in the left agenda list.

Now it's not a big issue, you may close it unresolved.
Comment 3 Christoph Feck 2017-06-27 21:14:08 UTC
Thanks for the update. If there is something that can be improved, I reopen the ticket.
Comment 4 gjditchfield 2022-04-11 00:47:47 UTC
Does this problem still affect you?

I wasn't able to reproduce this with the newest KOrganizer;
with the default set to either a Nextcloud calendar or a local
file (not the Personal calendar), the command
  dbus-send --session --dest=org.kde.korganizer \
    --type=method_call --print-reply /Calendar \
    org.kde.Korganizer.Calendar.openEventEditor string:"foo"
opened the default calendar.
Comment 5 nmset 2022-04-11 10:48:41 UTC
(In reply to gjditchfield from comment #4)
> Does this problem still affect you?

1. Using either the UI, dbus-send (without --print-reply), qdbusviewer or qdbus, the new event dialog selects the calendar currently selected in the list of available calendars. That's probably the intended workflow.

The confusion arises with the proposed 'Default calendar'; what would be its meaning and intent ? Remote calls via DBus are meant for automation, and there is no DBus function exposed to select a specific calendar in the UI, or I missed it. Perhaps, the menu item 'Choose as default calendar' should be better documented, or removed, or DBus functions exposed to list available calendars and either select one in UI, or pass it to 'openEventEditor'.

2. I don't remember how and why I was needing this automation pathway in 2014, and I have not been looking for alternatives. Meaning, it was for an unknown annoying situation at that time. Given that no one else needs this, current 'bug' is not really a bug and can be closed definitely.

Regards.